QGIS Application - Feature request #3647
Add the choice "near to the pointOnSurface"
2011-03-20 10:32 AM - aperi2007 -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13706
Description

In the label-plugin there is these choices for label in advanced section:
above centroid

near centroid,

etc...

| guess another very useful option is
"above a point on surface"

Because for a polygon with a hole in its center
the centroid is on hole.
More better the geos::PointOnSurface that return a point surely over the polygon (and over the line for a linear geometry).

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:11 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-20 05:53 AM - Médéric RIBREUX
- OS version deleted (7)

- Operating System deleted (Windows)

- Assignee deleted (nobody -)

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Pull Request or Patch supplied set to No

- Resolution set to fixed/implemented

Hello, bug triage...

in QGIS 2.13 master (and probably in previous versions), there is the labelling option (in Placement tab): "Force point inside polygon" for "Offset from
centroid" and "Around centroid" Placement options. With this option, the label will always be inside of the polygon, even if the centroid is in the hole.

| am closing this feature request...
#5 - 2019-05-07 11:04 PM - Nathan Perry

| still find a need for this feature, despite the existence of "force point inside polygon". See this new feature request: https:/issues.qgis.org/issues/22012
https://issues.qgis.org/issues/22012

